Table of Contents

Class: NewObject | Twisted-0.19.0/twisted/web/domhandlers.py
--- | ---
Check to see if the name the user entered is valid. If it is, create the object. If not, tell the user why.
Base Classes |
--- | ---
SingleValue InputHandler Controller
Methods |
--- | ---
check handleInvalid handleValid
| check
    check (
            self,
            request,
            name,
            )
Check to see if the name the user typed is a valid object name.
| handleInvalid
    handleInvalid (
            self,
            request,
            name,
            )
The user has entered an invalid project name.
| handleValid
    handleValid (
            self,
            request,
            name,
            )
The user has entered a valid project name and chosen to create the project. Get a reference to the parent folder, create a new Project instance, and pickle it.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0